Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

## Class FilterAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions.FilterAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`

    public class FilterAction
    extends org.eclipse.jface.action.Action

These will be the actual actions displayed in the filter menu. Their sole purpose is to provide a Predicate to the structure viewer's filter.

Do note that each distinct `FilterAction` in the `filter menu` is considered as an "exclude" filter, and that they are OR'ed together (thus, any element must not meet the selected filters' criteria in order to be displayed).

Since:
  4.0

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`FilterAction​(String text, StructureMergeViewerFilter structureMergeViewerFilter, IDifferenceFilter filter)` The "default" constructor for this action.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `runWithEvent​(org.eclipse.swt.widgets.Event event)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterAction

    public FilterAction​(String text,
                        StructureMergeViewerFilter structureMergeViewerFilter,
                        IDifferenceFilter filter)

The "default" constructor for this action.

Parameters:
  `text` - Will be used as the action's tooltip.
  `structureMergeViewerFilter` - The viewer filter that this action will need to update.
  `filter` - The filter associated with this action.

### Method Detail

#### runWithEvent

    public void runWithEvent​(org.eclipse.swt.widgets.Event event)

Specified by:
  `runWithEvent` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `runWithEvent` in class `org.eclipse.jface.action.Action`